I couldn't view this e-learning program properly, what should I do?

We advise you to double check you are using an up-to-date version of your browser as using out-dated versions of some browsers, such as Internet Explorer, can limited functionality. The recommended browser for this program is Firefox.